Skip to main content
PATCH
/
v1
/
checkout-links
/
{id}
TypeScript SDK
import { Solifyn } from 'solifyn';

const solifyn = new Solifyn({ apiKey: 'your_private_api_key_here' });

// Update checkout link properties
const link = await solifyn.checkoutLinks.update('clink_019e56a1...', {
  title: 'Extended Summer Sale Link',
  limitUsage: 100
});
console.log('Checkout Link Updated:', link);
{
  "message": "Checkout link deleted successfully"
}

Authorizations

Authorization
string
header
required

Authenticate requests using your standard bearer API key (e.g. YOUR_API_KEY).

Path Parameters

id
string
required

Checkout Link ID

Example:

"chk_123"

Body

application/json
title
string

The friendly display title of this checkout link

Maximum string length: 100
Example:

"Winter Bundle Checkout"

productId
string

Product database/Whop ID to sell

Maximum string length: 50
Example:

"prod_123"

collectionId
string

Optional collection database ID to sell

Maximum string length: 50
Example:

"col_123"

customerName
string

Prefilled customer name for checkout inputs

Maximum string length: 100
Example:

"John Doe"

customerEmail
string

Prefilled customer email for checkout inputs

Maximum string length: 255
Example:

"customer@gmail.com"

addressLine1
string

Prefilled customer billing address line 1

Maximum string length: 255
Example:

"123 Main St"

city
string

Prefilled customer billing city

Maximum string length: 100
Example:

"San Francisco"

state
string

Prefilled customer billing state

Maximum string length: 100
Example:

"CA"

postalCode
string

Prefilled customer billing zip/postal code

Maximum string length: 20
Example:

"94111"

country
string

Prefilled customer billing country (2-letter ISO)

Maximum string length: 10
Example:

"US"

quantity
object

Override quantity for checkout session

Example:

1

redirectUrl
string

The absolute URL to redirect to upon successful payment completion

Maximum string length: 2048
Example:

"https://mysite.com/success"

cancelUrl
string

The absolute URL to redirect to if a customer cancels the payment

Maximum string length: 2048
Example:

"https://mysite.com/cancel"

showDiscounts
boolean
default:true

Whether to display discount input form fields on checkout screen

Example:

true

Response

200 - application/json

Checkout link updated successfully.

message
string
required

Response message indicating the outcome of the action.

Example:

"Checkout link deleted successfully"